=== debian/changelog ===
emscripten (1.4.9~20130620~0ad8724-1ubuntu1) saucy; urgency=low

  * Cherry-pick from Debian (Sylvestre Ledru via Rebecca Palmer):
    - Update the list of supported architectures to the same as libv8
      (Closes: #723129, LP: #1229609).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Sep 2013 22:40:05 +0100

emscripten (1.4.9~20130620~0ad8724-1) unstable; urgency=low

  * New snapshot release
  * Depends against the "llvm" package. This package will provide llvm-dis
    needed by emscripten. Thanks to Sam Hocevar for finding the reason.
  * Fix the debhelper-but-no-misc-depends warning on emscripten-doc
  * Override warning "unusual-interpreter" with nodejs

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Jun 2013 17:14:15 +0200

emscripten (1.4.7~20130611~a1eb425-1) unstable; urgency=low

  * New snapshot release
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jun 2013 15:45:24 +0200

emscripten (1.4.7~20130606~98ba795-1) experimental; urgency=low

  * New upstream release
  * Update the dependencies (clang 3.2, 3.3 & 3.4)
  * Also install emscons
  * Remove the empty README.Debian
  * Fix some warnings "extra-license-file"
  * Fix the warning manpage-has-useless-whatis-entry for emcc and em++
  * Remove some lintian overrides (I fixed them upstream)
  * Silent the warnings "package-contains-devhelp-file-without-symlink"
  * Fix some warning "unusual-interpreter" by using directly /usr/bin/nodejs
  * Generate the manpages on the fly thanks to help2man

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Jun 2013 10:59:42 +0200

emscripten (1.4.1~20130504~adb56cb-1) unstable; urgency=low

  * Initial release (Closes: #704906)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 May 2013 13:11:51 +0200
