=== debian/changelog ===
emscripten (1.5.6~20130920~6010666-1) unstable; urgency=low

  * New snapshot release
  * Update the list of supported architectures to the same as libv8
    (Closes: #723129)
  * emlibtool has been removed from upstream.
  * Fix warning syntax-error-in-dep5-copyright
  * Refresh of the patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Sep 2013 22:44:35 +0200
