=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,6 @@
 	dh_install
 	mkdir -p $(CURDIR)/debian/emscripten/usr/bin
 	cd $(CURDIR)/debian/emscripten/usr/bin; \
-	for f in em++ emar emcc emcc.py em-config emconfigure emlibtool emmake emranlib emscripten.py emscons; do \
+	for f in em++ emar emcc emcc.py em-config emconfigure emmake emranlib emscripten.py emscons; do \
 		ln -s ../share/emscripten/$$f; \
 	done
