=== tests/bullet/src/BulletMultiThreaded/GpuSoftBodySolvers/OpenCL/CMakeLists.txt ===
	SUBDIRS( MiniCL  )

IF(BUILD_AMD_OPENCL_DEMOS)
	SUBDIRS(AMD)
ENDIF()

IF(BUILD_NVIDIA_OPENCL_DEMOS)
	SUBDIRS(NVidia)
ENDIF()

IF(APPLE AND OPENCL_LIBRARY) 
	SUBDIRS(Apple)
ENDIF()
