=== debian/changelog ===
emscripten (1.10.0~20140205~ef1e460-1) unstable; urgency=medium

  * New snapshot release
  * Also install cmake / emscripten files. Thanks to Daniele Di Proietto
    for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 05 Feb 2014 18:46:19 +0100

emscripten (1.9.0~20140119~7dc8c2f-1) unstable; urgency=low

  * New snapshot release (Closes: #733714)
  * Provide sources for javascript and flash. Done in orig-tar.sh
    Available in third_party/websockify/include/web-socket-js/src/
    (Closes: #735903)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 19 Jan 2014 14:12:40 +0100

emscripten (1.7.8~20131216~1a007b1-1) unstable; urgency=low

  * New snapshot release
  * demos/ is removed upstream. Doing the same in the package
  * remove some extra-license-file
  * Silent unusual-interpreter & python-script-but-no-python-dep
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Dec 2013 15:01:29 +0100
