=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 8.0.0), python-all, help2man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://emscripten.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/emscripten/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/emscripten/trunk/
@@ -13,7 +13,7 @@
 # Not set to "any". See bug #723129
 Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, nodejs,
- libclosure-compiler-java, clang-3.2 | clang-3.3 | clang-3.4, llvm
+ libclosure-compiler-java, clang-3.2 | clang-3.3 | clang-3.4, llvm (>= 1:3.3)
 Description: LLVM-to-JavaScript Compiler
  Emscripten is an LLVM to JavaScript compiler. It takes LLVM bitcode, also
  called LLVM IR (which can be generated from C/C++ using Clang, or any other
